OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP203

# StepAP203_CertifiedItem Class Reference

Representation of STEP SELECT type CertifiedItem
.

`#include <StepAP203_CertifiedItem.hxx>`

Inheritance diagram for StepAP203_CertifiedItem:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP203_CertifiedItem ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of CertifiedItem select type 1 -> SuppliedPartRelationship from StepRepr 0 else .
Standard_EXPORT Handle_StepRepr_SuppliedPartRelationship | SuppliedPartRelationship () const
| Returns Value as SuppliedPartRelationship (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_CertifiedItem::StepAP203_CertifiedItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepAP203_CertifiedItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepAP203_CertifiedItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_CertifiedItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_CertifiedItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepRepr_SuppliedPartRelationship StepAP203_CertifiedItem::SuppliedPartRelationship | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP203_CertifiedItem.hxx